diff -ur dia-0.84-0/acconfig.h dia-0.84-2/acconfig.h
--- dia-0.84-0/acconfig.h	Sun Feb 27 20:21:00 2000
+++ dia-0.84-2/acconfig.h	Tue Mar 21 01:13:19 2000
@@ -54,6 +54,8 @@
 /* Define as 1 if you have gettext and don't want to use GNU gettext.  */
 #undef HAVE_GETTEXT
 
+/* for Private Use */
+#undef JAPANESE
 
 
 /* Leave that blank line there!!  Autoheader needs it.
diff -ur dia-0.84-0/app/disp_callbacks.c dia-0.84-2/app/disp_callbacks.c
--- dia-0.84-0/app/disp_callbacks.c	Sat Jan 29 13:52:38 2000
+++ dia-0.84-2/app/disp_callbacks.c	Tue Mar 21 01:13:19 2000
@@ -38,6 +38,63 @@
 /* This contains the point that was clicked to get this menu */
 static Point object_menu_clicked_point;
 
+#ifdef USE_XIM
+void create_input_dialog (DDisplay *ddisp) {
+  if (gdk_im_ready () && (ddisp->ic_attr = gdk_ic_attr_new ()) != NULL) {
+    gint width, height;
+    GdkColormap *colormap;
+    GdkEventMask mask;
+    GdkICAttr *attr = ddisp->ic_attr;
+    GdkICAttributesType attrmask = GDK_IC_ALL_REQ;
+    GdkIMStyle style;
+    GdkIMStyle supported_style = GDK_IM_PREEDIT_NONE | GDK_IM_PREEDIT_NOTHING |
+	                           GDK_IM_PREEDIT_POSITION | GDK_IM_STATUS_NONE |
+	                           GDK_IM_STATUS_NOTHING;
+    if(ddisp->canvas->style && ddisp->canvas->style->font->type != GDK_FONT_FONTSET)
+      supported_style &= ~GDK_IM_PREEDIT_POSITION;
+    attr->style = style = gdk_im_decide_style (supported_style);
+    attr->client_window = ddisp->canvas->window;
+    if((colormap = gtk_widget_get_colormap (ddisp->canvas)) != gtk_widget_get_default_colormap ()) {
+      attrmask |= GDK_IC_PREEDIT_COLORMAP;
+      attr->preedit_colormap = colormap;
+    }
+    switch (style & GDK_IM_PREEDIT_MASK) {
+    case GDK_IM_PREEDIT_POSITION:
+      if(ddisp->canvas->style && ddisp->canvas->style->font->type != GDK_FONT_FONTSET) {
+        g_warning ("ʴѴΥեȤǤޤǤ");
+        break;
+      }
+      attrmask |= GDK_IC_PREEDIT_POSITION_REQ;
+      gdk_window_get_size (ddisp->canvas->window, &width, &height);
+      attr->spot_location.x = 0;
+      attr->spot_location.y = 14;
+      attr->preedit_area.x = 0;
+      attr->preedit_area.y = 0;
+      attr->preedit_area.width = width;
+      attr->preedit_area.height = height;
+      attr->preedit_fontset = ddisp->canvas->style->font;
+      break;
+    }
+    ddisp->ic = gdk_ic_new (attr, attrmask);
+    if(ddisp->ic == NULL) g_warning ("ʴѴѤǤޤ");
+    else {
+      mask = gdk_window_get_events (ddisp->canvas->window);
+      mask |= gdk_ic_get_events(ddisp->ic);
+      gdk_window_set_events (ddisp->canvas->window, mask);
+      gdk_im_begin(ddisp->ic, ddisp->canvas->window);
+    }
+  }
+}
+
+void set_input_dialog(DDisplay *ddisp, int x, int y) {
+  if(ddisp->ic && (gdk_ic_get_style(ddisp->ic) & GDK_IM_PREEDIT_POSITION)) {
+    ddisp->ic_attr->spot_location.x = x;
+    ddisp->ic_attr->spot_location.y = y;
+    gdk_ic_set_attr (ddisp->ic, ddisp->ic_attr, GDK_IC_SPOT_LOCATION);
+  }
+}
+#endif
+
 static void
 object_menu_proxy(GtkWidget *widget, gpointer data)
 {
@@ -194,6 +251,7 @@
   int width, height;
   int new_size;
   int modified;
+  int x, y;
 
   return_val = FALSE;
  
@@ -232,8 +290,12 @@
 	ddisplay_update_scrollbars(ddisp);
       }
       break;
-
+    
     case GDK_FOCUS_CHANGE:
+#ifdef USE_XIM
+        if(ddisp->ic == NULL)
+          create_input_dialog (ddisp);
+#endif
       diagram_update_menu_sensitivity(ddisp->diagram);
       break;
       
@@ -333,8 +395,14 @@
 	obj = focus->obj;
 	if (diagram_is_selected(ddisp->diagram, obj)) {
 	  ObjectChange *obj_change = NULL;
-	
+
 	  object_add_updates(obj, ddisp->diagram);
+
+#ifdef USE_XIM
+          ddisplay_transform_coords(ddisp, obj->position.x, obj->position.y, &x, &y);
+          set_input_dialog(ddisp, x, y);
+#endif
+
 	  modified = (focus->key_event)(focus, kevent->keyval,
 					kevent->string, kevent->length,
 					&obj_change);
@@ -437,7 +505,6 @@
 
   /*printf("delete\n");*/
   ddisp = (DDisplay *)data;
-  
   ddisplay_close(ddisp);
   return TRUE;
 }
@@ -448,12 +515,18 @@
   DDisplay *ddisp;
   
   ddisp = (DDisplay *) data;
-
-  if (popup_shell == ddisp->shell) {
-    popup_shell = NULL;
+#ifdef USE_XIM
+  if (ddisp->ic != NULL) {
+      gdk_ic_destroy (ddisp->ic);
+      ddisp->ic = NULL;
   }
-
+  if (ddisp->ic_attr) {
+      gdk_ic_attr_destroy (ddisp->ic_attr);
+      ddisp->ic_attr = NULL;
+  }
+#endif
   ddisplay_really_destroy(ddisp);
+
 }
 
 
diff -ur dia-0.84-0/app/display.c dia-0.84-2/app/display.c
--- dia-0.84-0/app/display.c	Sun Feb 27 16:36:40 2000
+++ dia-0.84-2/app/display.c	Tue Mar 21 01:13:19 2000
@@ -153,6 +153,11 @@
   g_hash_table_insert (display_ht, ddisp->shell, ddisp);
   g_hash_table_insert (display_ht, ddisp->canvas, ddisp);
 
+#ifdef USE_XIM
+  ddisp->ic = NULL;
+  ddisp->ic_attr = NULL;
+#endif
+
   return ddisp;  /*  set the user data  */
 }
 
diff -ur dia-0.84-0/app/display.h dia-0.84-2/app/display.h
--- dia-0.84-0/app/display.h	Sat Jan 29 13:52:38 2000
+++ dia-0.84-2/app/display.h	Tue Mar 21 01:13:19 2000
@@ -64,6 +64,10 @@
   
   GSList *update_areas;           /* Update areas list                 */
   GSList *display_areas;          /* Display areas list                */
+#ifdef USE_XIM
+  GdkIC     *ic;
+  GdkICAttr *ic_attr;
+#endif
 };
 
 extern GdkCursor *default_cursor;
diff -ur dia-0.84-0/app/render_eps.c dia-0.84-2/app/render_eps.c
--- dia-0.84-0/app/render_eps.c	Sun Feb 27 15:19:37 2000
+++ dia-0.84-2/app/render_eps.c	Tue Mar 21 01:22:23 2000
@@ -26,6 +26,13 @@
 #include "message.h"
 #include "diagramdata.h"
 
+#ifdef JAPANESE
+void draw_string_internal(RendererEPS *renderer,
+			  const char *text,
+			  Point *pos, Alignment alignment,
+			  Color *color);
+#endif
+
 static void begin_render(RendererEPS *renderer, DiagramData *data);
 static void end_render(RendererEPS *renderer);
 static void set_linewidth(RendererEPS *renderer, real linewidth);
@@ -718,9 +725,14 @@
 static void
 set_font(RendererEPS *renderer, Font *font, real height)
 {
-
+#ifdef JAPANESE
+  /* keep properties into renderer object */
+  renderer->font = font;
+  renderer->font_height = height;
+#else
   fprintf(renderer->file, "/%s-latin1 ff %f scf sf\n",
-	  font_get_psfontname(font), (double)height);
+	  font_get_psfontname(font)[0], (double)height);
+#endif
 }
 
 static void
@@ -964,11 +976,19 @@
   fprintf(renderer->file, " f\n");
 }
 
-static void
+#ifdef JAPANESE
+void
+draw_string_internal(RendererEPS *renderer,
+	    const char *text,
+	    Point *pos, Alignment alignment,
+	    Color *color)
+#else
+void
 draw_string(RendererEPS *renderer,
 	    const char *text,
 	    Point *pos, Alignment alignment,
 	    Color *color)
+#endif
 {
   char *buffer;
   const char *str;
@@ -1013,6 +1033,71 @@
   
   fprintf(renderer->file, " gs 1 -1 sc sh gr\n");
 }
+
+#ifdef JAPANESE
+static void
+draw_string(RendererEPS *renderer,
+	    const char *text,
+	    Point *pos, Alignment alignment,
+	    Color *color)
+{
+  Point _pos;
+  int i;
+  int s;
+  char *buff;
+ 
+  _pos = *pos;
+  if(alignment == ALIGN_RIGHT) {
+    _pos.x -= font_string_width(text, renderer->font, renderer->font_height);
+    alignment = ALIGN_LEFT;
+  } else if (alignment == ALIGN_CENTER) {
+    _pos.x -= font_string_width(text, renderer->font, renderer->font_height) / 2;
+    alignment = ALIGN_LEFT;
+  }
+  buff = (char *)g_malloc(sizeof(char) * strlen(text) + 1);
+  for(i=0, s=0; i<strlen(text);i++,s++) {
+    if(s==0) {
+      buff[s] = text[i];
+    } else if (text[i-1] < 0 && text[i] < 0) {
+      /* both are 16bits char */
+      buff[s] = text[i];
+    } else if (text[i-1] > 0 && text[i] > 0) {
+      /* for ASCII char */
+      buff[s] = text[i];
+    } else {
+      /* 'text->line[i][j]' is a boundary between single and double chars */
+      if (text[i-1] > 0) {
+ 	/* printing ASCII chars */
+	fprintf(renderer->file, "/%s-latin1 ff %f scf sf\n", font_get_psfontname(renderer->font)[0], (double)renderer->font_height);
+      } else {
+ 	/* printging 16bits chars */
+	fprintf(renderer->file, "/%s-EUC-H ff %f scf sf\n", font_get_psfontname(renderer->font)[1], (double)renderer->font_height);
+      }
+      buff[s] = '\0';
+      draw_string_internal(renderer,
+ 		  buff,
+ 		  &_pos, alignment,
+ 		  color);
+      _pos.x += font_string_width(buff, renderer->font, renderer->font_height);
+      s = 0;
+      buff[s] = text[i];
+    }
+  }
+  if (text[i-1] > 0) {
+    /* printing ASCII chars */
+    fprintf(renderer->file, "/%s-latin1 ff %f scf sf\n", font_get_psfontname(renderer->font)[0], (double)renderer->font_height);
+  } else {
+    /* printging 16bits chars */
+    fprintf(renderer->file, "/%s-EUC-H ff %f scf sf\n", font_get_psfontname(renderer->font)[1], (double)renderer->font_height);
+  }
+  buff[s] = '\0';
+  draw_string_internal(renderer,
+ 	      buff,
+	      &_pos, alignment,
+ 	      color);
+  g_free(buff);
+}
+#endif
 
 static void
 draw_image(RendererEPS *renderer,
Only in dia-0.84-2/app: render_eps.c~
diff -ur dia-0.84-0/app/render_eps.h dia-0.84-2/app/render_eps.h
--- dia-0.84-0/app/render_eps.h	Mon Dec 20 21:22:02 1999
+++ dia-0.84-2/app/render_eps.h	Tue Mar 21 01:13:19 2000
@@ -37,6 +37,9 @@
   LineStyle saved_line_style;
   real dash_length;
   real dot_length;
+
+  Font *font;
+  real font_height;
 };
 
 extern RendererEPS *new_eps_renderer(Diagram *dia, char *filename);
diff -ur dia-0.84-0/app/render_libart.c dia-0.84-2/app/render_libart.c
--- dia-0.84-0/app/render_libart.c	Wed Feb  9 11:20:32 2000
+++ dia-0.84-2/app/render_libart.c	Tue Mar 21 01:13:19 2000
@@ -1107,12 +1107,194 @@
   art_svp_free( svp );
 }
 
+#ifdef JAPANESE
+SuckFont *
+get_suck_font (GdkFont *font, guchar *sentence)
+{
+  SuckFont *suckfont;
+  int i;
+  int x, y;
+  char text[2];
+  int lbearing, rbearing, ch_width, ascent, descent;
+  GdkPixmap *pixmap;
+  GdkColor black, white;
+  GdkImage *image;
+  GdkGC *gc;
+  guchar *bitmap, *line;
+  int width, height;
+  int black_pixel, pixel;
+
+  if (!font)
+    return NULL;
+
+  suckfont = g_new (SuckFont, 1);
+
+  height = font->ascent + font->descent;
+  x = 0;
+  gdk_string_extents(font, sentence,
+		     &lbearing, &rbearing, &ch_width, &ascent, &descent);
+  suckfont->chars[0].left_sb = lbearing;
+  suckfont->chars[0].right_sb = ch_width - rbearing;
+  suckfont->chars[0].width = rbearing - lbearing;
+  suckfont->chars[0].ascent = ascent;
+  suckfont->chars[0].descent = descent;
+  suckfont->chars[0].bitmap_offset = x;
+  x += (ch_width + 31) & -32;
+  /*  for (i = 0; i < strlen(sentence); i++) {
+    text[0] = sentence[i];
+    gdk_text_extents_wc (font, text, 1,
+		      &lbearing, &rbearing, &ch_width, &ascent, &descent);
+		      suckfont->chars[i].left_sb = lbearing;
+    suckfont->chars[i].right_sb = ch_width - rbearing;
+    suckfont->chars[i].width = rbearing - lbearing;
+    suckfont->chars[i].ascent = ascent;
+    suckfont->chars[i].descent = descent;
+    suckfont->chars[i].bitmap_offset = x;
+    x += (ch_width + 31) & -32;
+    }*/
+
+  width = x;
+
+  suckfont->bitmap_width = width;
+  suckfont->bitmap_height = height+1;
+  suckfont->ascent = font->ascent+1;
+
+  pixmap = gdk_pixmap_new (NULL, suckfont->bitmap_width,
+			   suckfont->bitmap_height, 1);
+  gc = gdk_gc_new (pixmap);
+  gdk_gc_set_font (gc, font);
+
+  black_pixel = color_gdk_black.pixel;
+  black.pixel = black_pixel;
+  white.pixel = color_gdk_white.pixel;
+  gdk_gc_set_foreground (gc, &white);
+  gdk_draw_rectangle (pixmap, gc, 1, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
+
+  gdk_gc_set_foreground (gc, &black);
+
+  /*for (i = 0; i < 256; i++) {
+    text[0] = i;
+    text[1] = '\0';
+
+    gdk_draw_string (pixmap, font, gc,
+		   suckfont->chars[i].bitmap_offset - suckfont->chars[i].left_sb,
+		   font->ascent+1,
+		     text);
+		     }*/
+  gdk_draw_string (pixmap, font, gc,
+		   suckfont->chars[0].bitmap_offset - suckfont->chars[0].left_sb,
+		   font->ascent+1,
+		   sentence);
+
+  /* The handling of the image leaves me with distinct unease.  But this
+   * is more or less copied out of gimp/app/text_tool.c, so it _ought_ to
+   * work. -RLL
+   */
+
+  image = gdk_image_get (pixmap, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
+  suckfont->bitmap = g_malloc0 ((width >> 3) * suckfont->bitmap_height);
+
+  line = suckfont->bitmap;
+  for (y = 0; y < suckfont->bitmap_height; y++) {
+    for (x = 0; x < suckfont->bitmap_width; x++) {
+      pixel = gdk_image_get_pixel (image, x, y);
+      if (pixel == black_pixel)
+	line[x >> 3] |= 128 >> (x & 7);
+    }
+    line += width >> 3;
+  }
+
+  gdk_image_destroy (image);
+
+  /* free the pixmap */
+  gdk_pixmap_unref (pixmap);
+
+  /* free the gc */
+  gdk_gc_destroy (gc);
+
+  return suckfont;
+}
+#endif
+
 static void
 draw_string(RendererLibart *renderer,
 	    const char *text,
 	    Point *pos, Alignment alignment,
 	    Color *color)
 {
+#ifdef JAPANESE
+  DDisplay *ddisp = renderer->ddisp;
+  int x, y, i, dx;
+  int iwidth;
+  int len;
+  double affine[6];
+  SuckFont *suckfont;
+  double xpos, ypos;
+  guint32 rgba;
+  SuckChar *ch;
+
+  ddisplay_transform_coords(ddisp, pos->x, pos->y,
+			    &x, &y);
+  
+  iwidth = gdk_string_width(renderer->gdk_font, text);
+  switch (alignment) {
+  case ALIGN_LEFT:
+    break;
+  case ALIGN_CENTER:
+    x -= iwidth/2;
+    break;
+  case ALIGN_RIGHT:
+    x -= iwidth;
+    break;
+  }
+
+  /*suckfont = renderer->suck_font;*/
+  suckfont = get_suck_font(renderer->gdk_font, text);
+
+  xpos = (double) x + 1; 
+  ypos = (double) (y - suckfont->ascent);
+  
+  rgba = color_to_rgba(color);
+  
+  len = strlen(text);
+  /*for (i = 0; i < len; i++) {
+    SuckChar *ch;
+    
+    ch = &suckfont->chars[(unsigned char)text[i]];
+    art_affine_translate(affine, xpos, ypos);
+    art_rgb_bitmap_affine(renderer->rgb_buffer,
+			  0, 0,
+			  renderer->renderer.pixel_width,
+			  renderer->renderer.pixel_height,
+			  renderer->renderer.pixel_width*3,
+			   suckfont->bitmap + (ch->bitmap_offset >> 3),
+			   ch->width,
+			   suckfont->bitmap_height,
+			   suckfont->bitmap_width >> 3,
+			   rgba,
+			   affine,
+			   ART_FILTER_NEAREST, NULL);
+    
+    dx = ch->left_sb + ch->width + ch->right_sb;
+    xpos += dx;
+  }
+  */
+
+  ch = &suckfont->chars[0];
+  art_affine_translate(affine, xpos, ypos);
+  art_rgb_bitmap_affine(renderer->rgb_buffer,
+			0, 0,
+			renderer->renderer.pixel_width,
+			renderer->renderer.pixel_height,
+			renderer->renderer.pixel_width*3,
+			suckfont->bitmap + (ch->bitmap_offset >> 3),
+			ch->width,
+			suckfont->bitmap_height,
+			suckfont->bitmap_width >> 3,
+			rgba,
+			affine,
+			ART_FILTER_NEAREST, NULL);
+#else
   DDisplay *ddisp = renderer->ddisp;
   int x, y, i, dx;
   int iwidth;
@@ -1166,7 +1348,7 @@
     dx = ch->left_sb + ch->width + ch->right_sb;
     xpos += dx;
   }
-
+#endif
   
   
 }
diff -ur dia-0.84-0/config.h.in dia-0.84-2/config.h.in
--- dia-0.84-0/config.h.in	Sun Feb 27 20:25:03 2000
+++ dia-0.84-2/config.h.in	Tue Mar 21 01:13:19 2000
@@ -72,6 +72,9 @@
 /* Define as 1 if you have gettext and don't want to use GNU gettext.  */
 #undef HAVE_GETTEXT
 
+/* for Private Use */
+#undef JAPANESE
+
 /* Define if you have the __argz_count function.  */
 #undef HAVE___ARGZ_COUNT
 
diff -ur dia-0.84-0/configure dia-0.84-2/configure
--- dia-0.84-0/configure	Tue Feb 29 10:55:24 2000
+++ dia-0.84-2/configure	Tue Mar 21 01:22:36 2000
@@ -37,6 +37,8 @@
 ac_help="$ac_help
   --enable-debug=[no/minimum/yes] turn on debugging [default=minimum]"
 ac_help="$ac_help
+  --enable-japanese=[no/yes] enable Japanese support [default=yes]"
+ac_help="$ac_help
   --disable-nls           do not use Native Language Support"
 ac_help="$ac_help
   --with-included-gettext use the GNU gettext library included here"
@@ -590,7 +592,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:594: checking for a BSD compatible install" >&5
+echo "configure:596: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -643,7 +645,7 @@
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:647: checking whether build environment is sane" >&5
+echo "configure:649: checking whether build environment is sane" >&5
 # Just in case
 sleep 1
 echo timestamp > conftestfile
@@ -700,7 +702,7 @@
 test "$program_transform_name" = "" && program_transform_name="s,x,x,"
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:704: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:706: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -746,7 +748,7 @@
 
 missing_dir=`cd $ac_aux_dir && pwd`
 echo $ac_n "checking for working aclocal""... $ac_c" 1>&6
-echo "configure:750: checking for working aclocal" >&5
+echo "configure:752: checking for working aclocal" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -759,7 +761,7 @@
 fi
 
 echo $ac_n "checking for working autoconf""... $ac_c" 1>&6
-echo "configure:763: checking for working autoconf" >&5
+echo "configure:765: checking for working autoconf" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -772,7 +774,7 @@
 fi
 
 echo $ac_n "checking for working automake""... $ac_c" 1>&6
-echo "configure:776: checking for working automake" >&5
+echo "configure:778: checking for working automake" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -785,7 +787,7 @@
 fi
 
 echo $ac_n "checking for working autoheader""... $ac_c" 1>&6
-echo "configure:789: checking for working autoheader" >&5
+echo "configure:791: checking for working autoheader" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -798,7 +800,7 @@
 fi
 
 echo $ac_n "checking for working makeinfo""... $ac_c" 1>&6
-echo "configure:802: checking for working makeinfo" >&5
+echo "configure:804: checking for working makeinfo" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -817,7 +819,7 @@
 
 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
-echo "configure:821: checking whether to enable maintainer-specific portions of Makefiles" >&5
+echo "configure:823: checking whether to enable maintainer-specific portions of Makefiles" >&5
     # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
 if test "${enable_maintainer_mode+set}" = set; then
   enableval="$enable_maintainer_mode"
@@ -916,7 +918,7 @@
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:920: checking host system type" >&5
+echo "configure:922: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -937,7 +939,7 @@
 echo "$ac_t""$host" 1>&6
 
 echo $ac_n "checking build system type""... $ac_c" 1>&6
-echo "configure:941: checking build system type" >&5
+echo "configure:943: checking build system type" >&5
 
 build_alias=$build
 case "$build_alias" in
@@ -957,7 +959,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:961: checking for $ac_word" >&5
+echo "configure:963: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -987,7 +989,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:991: checking for $ac_word" >&5
+echo "configure:993: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1017,7 +1019,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1021: checking for $ac_word" >&5
+echo "configure:1023: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1068,7 +1070,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1072: checking for $ac_word" >&5
+echo "configure:1074: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1100,7 +1102,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1104: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1106: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1111,12 +1113,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1115 "configure"
+#line 1117 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1120: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1122: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -1142,12 +1144,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1146: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1148: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1151: checking whether we are using GNU C" >&5
+echo "configure:1153: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1156,7 +1158,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1160: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1162: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1175,7 +1177,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1179: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1181: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1218,7 +1220,7 @@
 if test "$ac_cv_prog_gcc" = yes; then
   # Check if gcc -print-prog-name=ld gives a path.
   echo $ac_n "checking for ld used by GCC""... $ac_c" 1>&6
-echo "configure:1222: checking for ld used by GCC" >&5
+echo "configure:1224: checking for ld used by GCC" >&5
   ac_prog=`($CC -print-prog-name=ld) 2>&5`
   case "$ac_prog" in
     # Accept absolute paths.
@@ -1242,10 +1244,10 @@
   esac
 elif test "$with_gnu_ld" = yes; then
   echo $ac_n "checking for GNU ld""... $ac_c" 1>&6
-echo "configure:1246: checking for GNU ld" >&5
+echo "configure:1248: checking for GNU ld" >&5
 else
   echo $ac_n "checking for non-GNU ld""... $ac_c" 1>&6
-echo "configure:1249: checking for non-GNU ld" >&5
+echo "configure:1251: checking for non-GNU ld" >&5
 fi
 if eval "test \"`echo '$''{'ac_cv_path_LD'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1281,7 +1283,7 @@
 test -z "$LD" && { echo "configure: error: no acceptable ld found in \$PATH" 1>&2; exit 1; }
 
 echo $ac_n "checking if the linker ($LD) is GNU ld""... $ac_c" 1>&6
-echo "configure:1285: checking if the linker ($LD) is GNU ld" >&5
+echo "configure:1287: checking if the linker ($LD) is GNU ld" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gnu_ld'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1297,7 +1299,7 @@
 
 
 echo $ac_n "checking for BSD-compatible nm""... $ac_c" 1>&6
-echo "configure:1301: checking for BSD-compatible nm" >&5
+echo "configure:1303: checking for BSD-compatible nm" >&5
 if eval "test \"`echo '$''{'ac_cv_path_NM'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1334,7 +1336,7 @@
 
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1338: checking whether ln -s works" >&5
+echo "configure:1340: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1378,8 +1380,8 @@
 case "$host" in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 1382 "configure"' > conftest.$ac_ext
-  if { (eval echo configure:1383: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  echo '#line 1384 "configure"' > conftest.$ac_ext
+  if { (eval echo configure:1385: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
     case "`/usr/bin/file conftest.o`" in
     *32-bit*)
       LD="${LD-ld} -32"
@@ -1400,19 +1402,19 @@
   SAVE_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -belf"
   echo $ac_n "checking whether the C compiler needs -belf""... $ac_c" 1>&6
-echo "configure:1404: checking whether the C compiler needs -belf" >&5
+echo "configure:1406: checking whether the C compiler needs -belf" >&5
 if eval "test \"`echo '$''{'lt_cv_cc_needs_belf'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1409 "configure"
+#line 1411 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:1416: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1418: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   lt_cv_cc_needs_belf=yes
 else
@@ -1515,7 +1517,7 @@
 
 
 echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:1519: checking whether build environment is sane" >&5
+echo "configure:1521: checking whether build environment is sane" >&5
 # Just in case
 sleep 1
 echo timestamp > conftestfile
@@ -1556,7 +1558,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1560: checking for $ac_word" >&5
+echo "configure:1562: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1586,7 +1588,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1590: checking for $ac_word" >&5
+echo "configure:1592: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1637,7 +1639,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1641: checking for $ac_word" >&5
+echo "configure:1643: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1669,7 +1671,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1673: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1675: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1680,12 +1682,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1684 "configure"
+#line 1686 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1689: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1691: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -1711,12 +1713,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1715: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1717: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1720: checking whether we are using GNU C" >&5
+echo "configure:1722: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1725,7 +1727,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1729: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1731: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1744,7 +1746,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1748: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1750: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1787,7 +1789,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:1791: checking for a BSD compatible install" >&5
+echo "configure:1793: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1840,7 +1842,7 @@
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1844: checking whether ln -s works" >&5
+echo "configure:1846: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1861,7 +1863,7 @@
 fi
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:1865: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:1867: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1888,7 +1890,7 @@
 fi
 
 echo $ac_n "checking for POSIXized ISC""... $ac_c" 1>&6
-echo "configure:1892: checking for POSIXized ISC" >&5
+echo "configure:1894: checking for POSIXized ISC" >&5
 if test -d /etc/conf/kconfig.d &&
   grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
 then
@@ -1959,7 +1961,7 @@
   # Extract the first word of "gtk-config", so it can be a program name with args.
 set dummy gtk-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1963: checking for $ac_word" >&5
+echo "configure:1965: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GTK_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1994,7 +1996,7 @@
 
   min_gtk_version=1.2.0
   echo $ac_n "checking for GTK - version >= $min_gtk_version""... $ac_c" 1>&6
-echo "configure:1998: checking for GTK - version >= $min_gtk_version" >&5
+echo "configure:2000: checking for GTK - version >= $min_gtk_version" >&5
   no_gtk=""
   if test "$GTK_CONFIG" = "no" ; then
     no_gtk=yes
@@ -2017,7 +2019,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 2021 "configure"
+#line 2023 "configure"
 #include "confdefs.h"
 
 #include <gtk/gtk.h>
@@ -2095,7 +2097,7 @@
 }
 
 EOF
-if { (eval echo configure:2099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2101: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -2129,7 +2131,7 @@
           CFLAGS="$CFLAGS $GTK_CFLAGS"
           LIBS="$LIBS $GTK_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 2133 "configure"
+#line 2135 "configure"
 #include "confdefs.h"
 
 #include <gtk/gtk.h>
@@ -2139,7 +2141,7 @@
  return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_version)); 
 ; return 0; }
 EOF
-if { (eval echo configure:2143: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2145: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding GTK or finding the wrong"
@@ -2183,7 +2185,7 @@
 
 
 echo $ac_n "checking whether GNOME specific code should be used""... $ac_c" 1>&6
-echo "configure:2187: checking whether GNOME specific code should be used" >&5
+echo "configure:2189: checking whether GNOME specific code should be used" >&5
 # Check whether --enable-gnome or --disable-gnome was given.
 if test "${enable_gnome+set}" = set; then
   enableval="$enable_gnome"
@@ -2234,7 +2236,7 @@
 
 
 echo $ac_n "checking for poptSetOtherOptionHelp in -lpopt""... $ac_c" 1>&6
-echo "configure:2238: checking for poptSetOtherOptionHelp in -lpopt" >&5
+echo "configure:2240: checking for poptSetOtherOptionHelp in -lpopt" >&5
 ac_lib_var=`echo popt'_'poptSetOtherOptionHelp | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2242,7 +2244,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lpopt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2246 "configure"
+#line 2248 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2253,7 +2255,7 @@
 poptSetOtherOptionHelp()
 ; return 0; }
 EOF
-if { (eval echo configure:2257: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2259: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2278,7 +2280,7 @@
 fi
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:2282: checking how to run the C preprocessor" >&5
+echo "configure:2284: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -2293,13 +2295,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 2297 "configure"
+#line 2299 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2303: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2305: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2310,13 +2312,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 2314 "configure"
+#line 2316 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2320: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2322: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2327,13 +2329,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 2331 "configure"
+#line 2333 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2337: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2339: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2361,17 +2363,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:2365: checking for $ac_hdr" >&5
+echo "configure:2367: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2370 "configure"
+#line 2372 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2375: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2377: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2403,7 +2405,7 @@
 # Extract the first word of "libart-config", so it can be a program name with args.
 set dummy libart-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2407: checking for $ac_word" >&5
+echo "configure:2409: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_LIBART_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2452,7 +2454,7 @@
 
 png_ok=no
 echo $ac_n "checking for png_read_info in -lpng""... $ac_c" 1>&6
-echo "configure:2456: checking for png_read_info in -lpng" >&5
+echo "configure:2458: checking for png_read_info in -lpng" >&5
 ac_lib_var=`echo png'_'png_read_info | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2460,7 +2462,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lpng -lz -lm $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2464 "configure"
+#line 2466 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2471,7 +2473,7 @@
 png_read_info()
 ; return 0; }
 EOF
-if { (eval echo configure:2475: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2477: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2488,17 +2490,17 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "png.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for png.h""... $ac_c" 1>&6
-echo "configure:2492: checking for png.h" >&5
+echo "configure:2494: checking for png.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2497 "configure"
+#line 2499 "configure"
 #include "confdefs.h"
 #include <png.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2502: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2504: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2527,16 +2529,16 @@
 
 if test "$png_ok" = yes; then
   echo $ac_n "checking for png_structp in png.h""... $ac_c" 1>&6
-echo "configure:2531: checking for png_structp in png.h" >&5
+echo "configure:2533: checking for png_structp in png.h" >&5
   cat > conftest.$ac_ext <<EOF
-#line 2533 "configure"
+#line 2535 "configure"
 #include "confdefs.h"
 #include <png.h>
 int main() {
 png_structp pp; png_infop info; png_colorp cmap; png_create_read_struct;
 ; return 0; }
 EOF
-if { (eval echo configure:2540: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2542: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   png_ok=yes
 else
@@ -2579,15 +2581,29 @@
 fi
 
 
+# Check whether --enable-japanese or --disable-japanese was given.
+if test "${enable_japanese+set}" = set; then
+  enableval="$enable_japanese"
+  :
+fi
+
+
+if test "$enable_japanese" = "yes" ; then
+  cat >> confdefs.h <<\EOF
+#define JAPANESE 1
+EOF
+
+fi
+
 
 ALL_LINGUAS="da de en_GB hu no pl sv fr ja pt ru uk"
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:2586: checking for ANSI C header files" >&5
+echo "configure:2602: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2591 "configure"
+#line 2607 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -2595,7 +2611,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2599: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2615: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2612,7 +2628,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 2616 "configure"
+#line 2632 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -2630,7 +2646,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 2634 "configure"
+#line 2650 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -2651,7 +2667,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 2655 "configure"
+#line 2671 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -2662,7 +2678,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:2666: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2682: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -2686,12 +2702,12 @@
 fi
 
 echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:2690: checking for working const" >&5
+echo "configure:2706: checking for working const" >&5
 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2695 "configure"
+#line 2711 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -2740,7 +2756,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2744: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2760: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
 else
@@ -2761,21 +2777,21 @@
 fi
 
 echo $ac_n "checking for inline""... $ac_c" 1>&6
-echo "configure:2765: checking for inline" >&5
+echo "configure:2781: checking for inline" >&5
 if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat > conftest.$ac_ext <<EOF
-#line 2772 "configure"
+#line 2788 "configure"
 #include "confdefs.h"
 
 int main() {
 } $ac_kw foo() {
 ; return 0; }
 EOF
-if { (eval echo configure:2779: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2795: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_inline=$ac_kw; break
 else
@@ -2801,12 +2817,12 @@
 esac
 
 echo $ac_n "checking for off_t""... $ac_c" 1>&6
-echo "configure:2805: checking for off_t" >&5
+echo "configure:2821: checking for off_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_off_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2810 "configure"
+#line 2826 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -2834,12 +2850,12 @@
 fi
 
 echo $ac_n "checking for size_t""... $ac_c" 1>&6
-echo "configure:2838: checking for size_t" >&5
+echo "configure:2854: checking for size_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2843 "configure"
+#line 2859 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -2869,19 +2885,19 @@
 # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
 # for constant arguments.  Useless!
 echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
-echo "configure:2873: checking for working alloca.h" >&5
+echo "configure:2889: checking for working alloca.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2878 "configure"
+#line 2894 "configure"
 #include "confdefs.h"
 #include <alloca.h>
 int main() {
 char *p = alloca(2 * sizeof(int));
 ; return 0; }
 EOF
-if { (eval echo configure:2885: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2901: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_header_alloca_h=yes
 else
@@ -2902,12 +2918,12 @@
 fi
 
 echo $ac_n "checking for alloca""... $ac_c" 1>&6
-echo "configure:2906: checking for alloca" >&5
+echo "configure:2922: checking for alloca" >&5
 if eval "test \"`echo '$''{'ac_cv_func_alloca_works'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2911 "configure"
+#line 2927 "configure"
 #include "confdefs.h"
 
 #ifdef __GNUC__
@@ -2935,7 +2951,7 @@
 char *p = (char *) alloca(1);
 ; return 0; }
 EOF
-if { (eval echo configure:2939: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2955: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_func_alloca_works=yes
 else
@@ -2967,12 +2983,12 @@
 
 
 echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
-echo "configure:2971: checking whether alloca needs Cray hooks" >&5
+echo "configure:2987: checking whether alloca needs Cray hooks" >&5
 if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2976 "configure"
+#line 2992 "configure"
 #include "confdefs.h"
 #if defined(CRAY) && ! defined(CRAY2)
 webecray
@@ -2997,12 +3013,12 @@
 if test $ac_cv_os_cray = yes; then
 for ac_func in _getb67 GETB67 getb67; do
   echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3001: checking for $ac_func" >&5
+echo "configure:3017: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3006 "configure"
+#line 3022 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3025,7 +3041,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3029: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3045: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3052,7 +3068,7 @@
 fi
 
 echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
-echo "configure:3056: checking stack direction for C alloca" >&5
+echo "configure:3072: checking stack direction for C alloca" >&5
 if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3060,7 +3076,7 @@
   ac_cv_c_stack_direction=0
 else
   cat > conftest.$ac_ext <<EOF
-#line 3064 "configure"
+#line 3080 "configure"
 #include "confdefs.h"
 find_stack_direction ()
 {
@@ -3079,7 +3095,7 @@
   exit (find_stack_direction() < 0);
 }
 EOF
-if { (eval echo configure:3083: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:3099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_c_stack_direction=1
 else
@@ -3104,17 +3120,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:3108: checking for $ac_hdr" >&5
+echo "configure:3124: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3113 "configure"
+#line 3129 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3118: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3134: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3143,12 +3159,12 @@
 for ac_func in getpagesize
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3147: checking for $ac_func" >&5
+echo "configure:3163: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3152 "configure"
+#line 3168 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3171,7 +3187,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3175: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3191: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3196,7 +3212,7 @@
 done
 
 echo $ac_n "checking for working mmap""... $ac_c" 1>&6
-echo "configure:3200: checking for working mmap" >&5
+echo "configure:3216: checking for working mmap" >&5
 if eval "test \"`echo '$''{'ac_cv_func_mmap_fixed_mapped'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3204,7 +3220,7 @@
   ac_cv_func_mmap_fixed_mapped=no
 else
   cat > conftest.$ac_ext <<EOF
-#line 3208 "configure"
+#line 3224 "configure"
 #include "confdefs.h"
 
 /* Thanks to Mike Haertel and Jim Avera for this test.
@@ -3344,7 +3360,7 @@
 }
 
 EOF
-if { (eval echo configure:3348: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:3364: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func_mmap_fixed_mapped=yes
 else
@@ -3372,17 +3388,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:3376: checking for $ac_hdr" >&5
+echo "configure:3392: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3381 "configure"
+#line 3397 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3386: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3402: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3412,12 +3428,12 @@
 strdup __argz_count __argz_stringify __argz_next
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3416: checking for $ac_func" >&5
+echo "configure:3432: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3421 "configure"
+#line 3437 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3440,7 +3456,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3444: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3460: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3469,12 +3485,12 @@
      for ac_func in stpcpy
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3473: checking for $ac_func" >&5
+echo "configure:3489: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3478 "configure"
+#line 3494 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3497,7 +3513,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3501: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3517: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3531,19 +3547,19 @@
 
    if test $ac_cv_header_locale_h = yes; then
     echo $ac_n "checking for LC_MESSAGES""... $ac_c" 1>&6
-echo "configure:3535: checking for LC_MESSAGES" >&5
+echo "configure:3551: checking for LC_MESSAGES" >&5
 if eval "test \"`echo '$''{'am_cv_val_LC_MESSAGES'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3540 "configure"
+#line 3556 "configure"
 #include "confdefs.h"
 #include <locale.h>
 int main() {
 return LC_MESSAGES
 ; return 0; }
 EOF
-if { (eval echo configure:3547: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3563: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   am_cv_val_LC_MESSAGES=yes
 else
@@ -3564,7 +3580,7 @@
     fi
   fi
    echo $ac_n "checking whether NLS is requested""... $ac_c" 1>&6
-echo "configure:3568: checking whether NLS is requested" >&5
+echo "configure:3584: checking whether NLS is requested" >&5
         # Check whether --enable-nls or --disable-nls was given.
 if test "${enable_nls+set}" = set; then
   enableval="$enable_nls"
@@ -3584,7 +3600,7 @@
 EOF
 
       echo $ac_n "checking whether included gettext is requested""... $ac_c" 1>&6
-echo "configure:3588: checking whether included gettext is requested" >&5
+echo "configure:3604: checking whether included gettext is requested" >&5
       # Check whether --with-included-gettext or --without-included-gettext was given.
 if test "${with_included_gettext+set}" = set; then
   withval="$with_included_gettext"
@@ -3603,17 +3619,17 @@
 
 	ac_safe=`echo "libintl.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for libintl.h""... $ac_c" 1>&6
-echo "configure:3607: checking for libintl.h" >&5
+echo "configure:3623: checking for libintl.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3612 "configure"
+#line 3628 "configure"
 #include "confdefs.h"
 #include <libintl.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3617: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3633: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3630,19 +3646,19 @@
 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
   echo "$ac_t""yes" 1>&6
   echo $ac_n "checking for gettext in libc""... $ac_c" 1>&6
-echo "configure:3634: checking for gettext in libc" >&5
+echo "configure:3650: checking for gettext in libc" >&5
 if eval "test \"`echo '$''{'gt_cv_func_gettext_libc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3639 "configure"
+#line 3655 "configure"
 #include "confdefs.h"
 #include <libintl.h>
 int main() {
 return (int) gettext ("")
 ; return 0; }
 EOF
-if { (eval echo configure:3646: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3662: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   gt_cv_func_gettext_libc=yes
 else
@@ -3658,7 +3674,7 @@
 
 	   if test "$gt_cv_func_gettext_libc" != "yes"; then
 	     echo $ac_n "checking for bindtextdomain in -lintl""... $ac_c" 1>&6
-echo "configure:3662: checking for bindtextdomain in -lintl" >&5
+echo "configure:3678: checking for bindtextdomain in -lintl" >&5
 ac_lib_var=`echo intl'_'bindtextdomain | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3666,7 +3682,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lintl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3670 "configure"
+#line 3686 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3677,7 +3693,7 @@
 bindtextdomain()
 ; return 0; }
 EOF
-if { (eval echo configure:3681: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3697: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3693,12 +3709,12 @@
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
   echo $ac_n "checking for gettext in libintl""... $ac_c" 1>&6
-echo "configure:3697: checking for gettext in libintl" >&5
+echo "configure:3713: checking for gettext in libintl" >&5
 if eval "test \"`echo '$''{'gt_cv_func_gettext_libintl'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   echo $ac_n "checking for gettext in -lintl""... $ac_c" 1>&6
-echo "configure:3702: checking for gettext in -lintl" >&5
+echo "configure:3718: checking for gettext in -lintl" >&5
 ac_lib_var=`echo intl'_'gettext | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3706,7 +3722,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lintl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3710 "configure"
+#line 3726 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3717,7 +3733,7 @@
 gettext()
 ; return 0; }
 EOF
-if { (eval echo configure:3721: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3737: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3756,7 +3772,7 @@
 	      # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3760: checking for $ac_word" >&5
+echo "configure:3776: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3790,12 +3806,12 @@
 		for ac_func in dcgettext
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3794: checking for $ac_func" >&5
+echo "configure:3810: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3799 "configure"
+#line 3815 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3818,7 +3834,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3822: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3838: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3845,7 +3861,7 @@
 		# Extract the first word of "gmsgfmt", so it can be a program name with args.
 set dummy gmsgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3849: checking for $ac_word" >&5
+echo "configure:3865: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3881,7 +3897,7 @@
 		# Extract the first word of "xgettext", so it can be a program name with args.
 set dummy xgettext; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3885: checking for $ac_word" >&5
+echo "configure:3901: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XGETTEXT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3913,7 +3929,7 @@
 fi
 
 		cat > conftest.$ac_ext <<EOF
-#line 3917 "configure"
+#line 3933 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -3921,7 +3937,7 @@
 			       return _nl_msg_cat_cntr
 ; return 0; }
 EOF
-if { (eval echo configure:3925: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3941: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   CATOBJEXT=.gmo
 		   DATADIRNAME=share
@@ -3944,7 +3960,7 @@
 
         if test "$CATOBJEXT" = "NONE"; then
 	  echo $ac_n "checking whether catgets can be used""... $ac_c" 1>&6
-echo "configure:3948: checking whether catgets can be used" >&5
+echo "configure:3964: checking whether catgets can be used" >&5
 	  # Check whether --with-catgets or --without-catgets was given.
 if test "${with_catgets+set}" = set; then
   withval="$with_catgets"
@@ -3957,7 +3973,7 @@
 
 	  if test "$nls_cv_use_catgets" = "yes"; then
 	    	    echo $ac_n "checking for main in -li""... $ac_c" 1>&6
-echo "configure:3961: checking for main in -li" >&5
+echo "configure:3977: checking for main in -li" >&5
 ac_lib_var=`echo i'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3965,14 +3981,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-li  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3969 "configure"
+#line 3985 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:3976: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3992: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4000,12 +4016,12 @@
 fi
 
 	    echo $ac_n "checking for catgets""... $ac_c" 1>&6
-echo "configure:4004: checking for catgets" >&5
+echo "configure:4020: checking for catgets" >&5
 if eval "test \"`echo '$''{'ac_cv_func_catgets'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4009 "configure"
+#line 4025 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char catgets(); below.  */
@@ -4028,7 +4044,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4032: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4048: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_catgets=yes"
 else
@@ -4050,7 +4066,7 @@
 	       # Extract the first word of "gencat", so it can be a program name with args.
 set dummy gencat; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4054: checking for $ac_word" >&5
+echo "configure:4070: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GENCAT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4086,7 +4102,7 @@
 		 # Extract the first word of "gmsgfmt", so it can be a program name with args.
 set dummy gmsgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4090: checking for $ac_word" >&5
+echo "configure:4106: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4123,7 +4139,7 @@
 		   # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4127: checking for $ac_word" >&5
+echo "configure:4143: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4158,7 +4174,7 @@
 		 # Extract the first word of "xgettext", so it can be a program name with args.
 set dummy xgettext; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4162: checking for $ac_word" >&5
+echo "configure:4178: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XGETTEXT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4216,7 +4232,7 @@
         # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4220: checking for $ac_word" >&5
+echo "configure:4236: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4250,7 +4266,7 @@
         # Extract the first word of "gmsgfmt", so it can be a program name with args.
 set dummy gmsgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4254: checking for $ac_word" >&5
+echo "configure:4270: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4286,7 +4302,7 @@
         # Extract the first word of "xgettext", so it can be a program name with args.
 set dummy xgettext; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4290: checking for $ac_word" >&5
+echo "configure:4306: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XGETTEXT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4379,7 +4395,7 @@
        LINGUAS=
      else
        echo $ac_n "checking for catalogs to be installed""... $ac_c" 1>&6
-echo "configure:4383: checking for catalogs to be installed" >&5
+echo "configure:4399: checking for catalogs to be installed" >&5
        NEW_LINGUAS=
        for lang in ${LINGUAS=$ALL_LINGUAS}; do
          case "$ALL_LINGUAS" in
@@ -4407,17 +4423,17 @@
    if test "$CATOBJEXT" = ".cat"; then
      ac_safe=`echo "linux/version.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for linux/version.h""... $ac_c" 1>&6
-echo "configure:4411: checking for linux/version.h" >&5
+echo "configure:4427: checking for linux/version.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4416 "configure"
+#line 4432 "configure"
 #include "confdefs.h"
 #include <linux/version.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4421: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4437: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4487,7 +4503,7 @@
 # Extract the first word of "xml-config", so it can be a program name with args.
 set dummy xml-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4491: checking for $ac_word" >&5
+echo "configure:4507: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_XML_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4516,7 +4532,7 @@
 if test "$XML_CONFIG" != "" 
 then
   echo $ac_n "checking for libxml >= 1.8.5""... $ac_c" 1>&6
-echo "configure:4520: checking for libxml >= 1.8.5" >&5
+echo "configure:4536: checking for libxml >= 1.8.5" >&5
   vers=`$XML_CONFIG --version | sed -e "s/libxml //" | awk 'BEGIN {FS=".";} { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
   if test "$vers" -ge 1008005; then
     echo "$ac_t""found" 1>&6
@@ -4572,7 +4588,7 @@
   # Extract the first word of "imlib-config", so it can be a program name with args.
 set dummy imlib-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:4576: checking for $ac_word" >&5
+echo "configure:4592: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_IMLIB_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4607,7 +4623,7 @@
 
   min_imlib_version=1.8.2
   echo $ac_n "checking for IMLIB - version >= $min_imlib_version""... $ac_c" 1>&6
-echo "configure:4611: checking for IMLIB - version >= $min_imlib_version" >&5
+echo "configure:4627: checking for IMLIB - version >= $min_imlib_version" >&5
   no_imlib=""
   if test "$IMLIB_CONFIG" = "no" ; then
     no_imlib=yes
@@ -4629,7 +4645,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 4633 "configure"
+#line 4649 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4669,7 +4685,7 @@
 
 
 EOF
-if { (eval echo configure:4673: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4689: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -4703,7 +4719,7 @@
           CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
           LIBS="$LIBS $GDK_IMLIB_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 4707 "configure"
+#line 4723 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4713,7 +4729,7 @@
  return 0; 
 ; return 0; }
 EOF
-if { (eval echo configure:4717: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4733: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding IMLIB or finding the wrong"
@@ -4754,12 +4770,12 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr that defines DIR""... $ac_c" 1>&6
-echo "configure:4758: checking for $ac_hdr that defines DIR" >&5
+echo "configure:4774: checking for $ac_hdr that defines DIR" >&5
 if eval "test \"`echo '$''{'ac_cv_header_dirent_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4763 "configure"
+#line 4779 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -4767,7 +4783,7 @@
 DIR *dirp = 0;
 ; return 0; }
 EOF
-if { (eval echo configure:4771: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4787: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   eval "ac_cv_header_dirent_$ac_safe=yes"
 else
@@ -4792,7 +4808,7 @@
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
 echo $ac_n "checking for opendir in -ldir""... $ac_c" 1>&6
-echo "configure:4796: checking for opendir in -ldir" >&5
+echo "configure:4812: checking for opendir in -ldir" >&5
 ac_lib_var=`echo dir'_'opendir | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4800,7 +4816,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldir  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4804 "configure"
+#line 4820 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4811,7 +4827,7 @@
 opendir()
 ; return 0; }
 EOF
-if { (eval echo configure:4815: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4831: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4833,7 +4849,7 @@
 
 else
 echo $ac_n "checking for opendir in -lx""... $ac_c" 1>&6
-echo "configure:4837: checking for opendir in -lx" >&5
+echo "configure:4853: checking for opendir in -lx" >&5
 ac_lib_var=`echo x'_'opendir | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4841,7 +4857,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lx  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4845 "configure"
+#line 4861 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4852,7 +4868,7 @@
 opendir()
 ; return 0; }
 EOF
-if { (eval echo configure:4856: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4872: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4875,12 +4891,12 @@
 fi
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:4879: checking for ANSI C header files" >&5
+echo "configure:4895: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4884 "configure"
+#line 4900 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -4888,7 +4904,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4892: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4908: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4905,7 +4921,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 4909 "configure"
+#line 4925 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -4923,7 +4939,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 4927 "configure"
+#line 4943 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -4944,7 +4960,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 4948 "configure"
+#line 4964 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -4955,7 +4971,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:4959: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4975: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -4982,17 +4998,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4986: checking for $ac_hdr" >&5
+echo "configure:5002: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4991 "configure"
+#line 5007 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4996: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:5012: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -5020,12 +5036,12 @@
 
 
 echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:5024: checking for working const" >&5
+echo "configure:5040: checking for working const" >&5
 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5029 "configure"
+#line 5045 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -5074,7 +5090,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:5078: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5094: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
 else
@@ -5098,12 +5114,12 @@
 for ac_func in select strcspn strdup strtol snprintf
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:5102: checking for $ac_func" >&5
+echo "configure:5118: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5107 "configure"
+#line 5123 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -5126,7 +5142,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:5130: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -5159,18 +5175,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -Wall""... $ac_c" 1>&6
-echo "configure:5163: checking if C compiler accepts -Wall" >&5
+echo "configure:5179: checking if C compiler accepts -Wall" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Wall"
   cat > conftest.$ac_ext <<EOF
-#line 5167 "configure"
+#line 5183 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5174: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5190: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5184,18 +5200,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -Wunused""... $ac_c" 1>&6
-echo "configure:5188: checking if C compiler accepts -Wunused" >&5
+echo "configure:5204: checking if C compiler accepts -Wunused" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Wunused"
   cat > conftest.$ac_ext <<EOF
-#line 5192 "configure"
+#line 5208 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5199: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5215: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5209,18 +5225,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -Winline""... $ac_c" 1>&6
-echo "configure:5213: checking if C compiler accepts -Winline" >&5
+echo "configure:5229: checking if C compiler accepts -Winline" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Winline"
   cat > conftest.$ac_ext <<EOF
-#line 5217 "configure"
+#line 5233 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5224: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5240: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5234,18 +5250,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -Wmissing-prototypes""... $ac_c" 1>&6
-echo "configure:5238: checking if C compiler accepts -Wmissing-prototypes" >&5
+echo "configure:5254: checking if C compiler accepts -Wmissing-prototypes" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Wmissing-prototypes"
   cat > conftest.$ac_ext <<EOF
-#line 5242 "configure"
+#line 5258 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5249: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5265: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5259,18 +5275,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -Wmissing-declarations""... $ac_c" 1>&6
-echo "configure:5263: checking if C compiler accepts -Wmissing-declarations" >&5
+echo "configure:5279: checking if C compiler accepts -Wmissing-declarations" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Wmissing-declarations"
   cat > conftest.$ac_ext <<EOF
-#line 5267 "configure"
+#line 5283 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5274: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5290: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5287,18 +5303,18 @@
   i?86-pc-*)
     
   echo $ac_n "checking if C compiler accepts -fomit-frame-pointer""... $ac_c" 1>&6
-echo "configure:5291: checking if C compiler accepts -fomit-frame-pointer" >&5
+echo "configure:5307: checking if C compiler accepts -fomit-frame-pointer" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -fomit-frame-pointer"
   cat > conftest.$ac_ext <<EOF
-#line 5295 "configure"
+#line 5311 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5302: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5318: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5315,18 +5331,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -finline-functions""... $ac_c" 1>&6
-echo "configure:5319: checking if C compiler accepts -finline-functions" >&5
+echo "configure:5335: checking if C compiler accepts -finline-functions" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -finline-functions"
   cat > conftest.$ac_ext <<EOF
-#line 5323 "configure"
+#line 5339 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5330: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5346: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -5340,18 +5356,18 @@
 
 
   echo $ac_n "checking if C compiler accepts -fstrict-aliasing""... $ac_c" 1>&6
-echo "configure:5344: checking if C compiler accepts -fstrict-aliasing" >&5
+echo "configure:5360: checking if C compiler accepts -fstrict-aliasing" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -fstrict-aliasing"
   cat > conftest.$ac_ext <<EOF
-#line 5348 "configure"
+#line 5364 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 void somefunc() { printf("hello"); }
 ; return 0; }
 EOF
-if { (eval echo configure:5355: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:5371: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
diff -ur dia-0.84-0/configure.in dia-0.84-2/configure.in
--- dia-0.84-0/configure.in	Tue Feb 29 10:52:55 2000
+++ dia-0.84-2/configure.in	Tue Mar 21 01:13:19 2000
@@ -127,6 +127,18 @@
 AC_SUBST(DEBUG_FLAGS)
 
 dnl
+dnl Japanese Support
+dnl
+AC_ARG_ENABLE(japanese,
+[  --enable-japanese=[no/yes] enable Japanese support [default=yes]],
+  ,
+  ,enable_japanese=yes)
+
+if test "$enable_japanese" = "yes" ; then
+  AC_DEFINE(JAPANESE)
+fi
+
+dnl
 dnl i18n
 dnl
 
Only in dia-0.84-2: dia.keys
diff -ur dia-0.84-0/lib/font.c dia-0.84-2/lib/font.c
--- dia-0.84-0/lib/font.c	Mon Feb 28 08:29:21 2000
+++ dia-0.84-2/lib/font.c	Tue Mar 21 01:13:19 2000
@@ -60,6 +60,8 @@
 
 #define NUM_X11_FONTS 2
 
+#define NUM_PS_FONTS 2
+
 typedef struct _FontPrivate FontPrivate;
 typedef struct  _FontCacheItem FontCacheItem;
 
@@ -73,226 +75,231 @@
   Font public;
   char *fontname_x11;
   char **fontname_x11_vec;
-  char *fontname_ps;
+  char *fontname_ps[2];
   FontCacheItem *cache[FONTCACHE_SIZE];
   real ascent_ratio, descent_ratio;
 };
 
-
 typedef struct _FontData {
   char *fontname;
-  char *fontname_ps;
+  char *fontname_ps[2];
   char *fontname_x11[NUM_X11_FONTS]; /* First choice */
 } FontData;
 
 FontData font_data[] = {
+  { "ī",
+    { "Times-Roman", "Ryumin-Light" },
+    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
+    }
+  },
   { "Times-Roman",
-    "Times-Roman",
-    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Times-Roman", "Ryumin-Light" },
+    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   }, 
   { "Times-Italic",
-    "Times-Italic",
-    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Times-Italic", "Ryumin-Light" },
+    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-i-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   }, 
   { "Times-Bold",
-    "Times-Bold",
-    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Times-Bold", "GothicBBB-Medium" },
+    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   }, 
   { "Times-BoldItalic",
-    "Times-BoldItalic",
-    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Times-BoldItalic", "GothicBBB-Medium" },
+    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-i-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   }, 
   { "AvantGarde-Book",
-    "AvantGarde-Book",
+    { "AvantGarde-Book", NULL },
     { "-adobe-avantgarde-book-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-BookOblique",
-    "AvantGarde-BookOblique",
+    { "AvantGarde-BookOblique", NULL },
     { "-adobe-avantgarde-book-o-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-Demi",
-    "AvantGarde-Demi",
+    { "AvantGarde-Demi", NULL },
     { "-adobe-avantgarde-demibold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-DemiOblique",
-    "AvantGarde-DemiOblique",
+    { "AvantGarde-DemiOblique", NULL },
     { "-adobe-avantgarde-demibold-o-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Light",
-    "Bookman-Light",
+    { "Bookman-Light", NULL },
     { "-adobe-bookman-light-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-LightItalic",
-    "Bookman-LightItalic",
+    { "Bookman-LightItalic", NULL },
     { "-adobe-bookman-light-i-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Demi",
-    "Bookman-Demi",
+    { "Bookman-Demi", NULL },
     { "-adobe-bookman-demibold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-DemiItalic",
-    "Bookman-DemiItalic",
+    { "Bookman-DemiItalic", NULL },
     { "-adobe-bookman-demibold-i-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Courier",
-    "Courier",
-    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Courier", "Ryumin-Light" },
+    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Courier-Oblique",
-    "Courier-Oblique",
-    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Courier-Oblique", "Ryumin-Light" },
+    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Courier-Bold",
-    "Courier-Bold",
-    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Courier-Bold", "GothicBBB-Medium" },
+    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Courier-BoldOblique",
-    "Courier-BoldOblique",
-    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Courier-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica",
-    "Helvetica",
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica", "Ryumin-Light" },
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Oblique",
-    "Helvetica-Oblique",
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Oblique", "Ryumin-Light" },
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Bold",
-    "Helvetica-Bold",
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Bold", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-BoldOblique",
-    "Helvetica-BoldOblique",
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Narrow",
-    "Helvetica-Narrow",
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Narrow", "Ryumin-Light" },
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Narrow-Oblique",
-    "Helvetica-Narrow-Oblique",
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Narrow-Oblique", "Ryumin-Light" },
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Narrow-Bold",
-    "Helvetica-Narrow-Bold",
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Narrow-Bold", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Helvetica-Narrow-BoldOblique",
-    "Helvetica-Narrow-BoldOblique",
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*",
-      NULL
+    { "Helvetica-Narrow-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-*-fixed-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "NewCenturySchoolbook-Roman",
-    "NewCenturySchlbk-Roman",
+    { "NewCenturySchlbk-Roman", NULL },
     { "-adobe-new century schoolbook-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-Italic",
-    "NewCenturySchlbk-Italic",
+    { "NewCenturySchlbk-Italic", NULL },
     { "-adobe-new century schoolbook-medium-i-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-Bold",
-    "NewCenturySchlbk-Bold",
+    { "NewCenturySchlbk-Bold", NULL },
     { "-adobe-new century schoolbook-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-BoldItalic",
-    "NewCenturySchlbk-BoldItalic",
+    { "NewCenturySchlbk-BoldItalic", NULL },
     { "-adobe-new century schoolbook-bold-i-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Palatino-Roman",
-    "Palatino-Roman",
+    { "Palatino-Roman", NULL },
     { "-adobe-palatino-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Italic",
-    "Palatino-Italic",
+    { "Palatino-Italic", NULL },
     { "-adobe-palatino-medium-i-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Bold",
-    "Palatino-Bold",
+    { "Palatino-Bold", NULL },
     { "-adobe-palatino-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-demibold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-BoldItalic",
-    "Palatino-BoldItalic",
+    { "Palatino-BoldItalic", NULL },
     { "-adobe-palatino-bold-i-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-demibold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Symbol",
-    "Symbol",
+    { "Symbol", NULL },
     {
       "-adobe-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfChancery-MediumItalic",
-    "ZapfChancery-MediumItalic",
+    { "ZapfChancery-MediumItalic", NULL },
     { "-adobe-zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*",
       "-*-itc zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfDingbats",
-    "ZapfDingbats",
+    { "ZapfDingbats", NULL },
     { "-adobe-zapf dingbats-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-itc zapf dingbats-*-*-*-*-%d-*-*-*-*-*-*-*"
     }
@@ -330,9 +337,9 @@
       break;
     bufsize = strlen(x11_font)+6;  /* Should be enought*/
     buffer = (char *)g_malloc(bufsize);
-    g_snprintf(buffer, bufsize, x11_font, 100);
+    g_snprintf(buffer, bufsize, x11_font, 100, 100);
     
-    gdk_font = gdk_font_load(buffer);
+    gdk_font = gdk_fontset_load(buffer);
     if (gdk_font!=NULL) {
       font->fontname_x11 = x11_font;
     }
@@ -347,9 +354,9 @@
       x11_font = last_resort_fonts[i];
       bufsize = strlen(x11_font)+6;  /* Should be enought*/
       buffer = (char *)g_malloc(bufsize);
-      g_snprintf(buffer, bufsize, x11_font, 100);
+      g_snprintf(buffer, bufsize, x11_font, 100, 100);
       
-      gdk_font = gdk_font_load(buffer);
+      gdk_font = gdk_fontset_load(buffer);
       g_free(buffer);
       if (gdk_font!=NULL) {
 	message_warning(_("Warning no X Font for %s found, \nusing %s instead.\n"), font->public.name, x11_font);
@@ -373,12 +380,14 @@
   FontPrivate *font;
 
   fonts_hash = g_hash_table_new((GHashFunc)g_str_hash,
-			       (GCompareFunc)g_str_equal);
+				(GCompareFunc)g_str_equal);
 
   for (i=0;i<NUM_FONTS;i++) {
     font = g_new(FontPrivate, 1);
     font->public.name = font_data[i].fontname;
-    font->fontname_ps = font_data[i].fontname_ps;
+    for(j=0;j<NUM_PS_FONTS;j++) {
+      font->fontname_ps[j] = font_data[i].fontname_ps[j];
+    }
 
     font->fontname_x11 = NULL;
     font->fontname_x11_vec = font_data[i].fontname_x11;
@@ -451,8 +460,8 @@
   
   bufsize = strlen(font->fontname_x11)+6;  /* Should be enought*/
   buffer = (char *)malloc(bufsize);
-  g_snprintf(buffer, bufsize, font->fontname_x11, height);
-  gdk_font = gdk_font_load(buffer);
+  g_snprintf(buffer, bufsize, font->fontname_x11, height, height);
+  gdk_font = gdk_fontset_load(buffer);
   free(buffer);
 
   return gdk_font;
@@ -502,7 +511,7 @@
   return cache_item->suck_font;
 }
 
-char *
+char **
 font_get_psfontname(Font *font)
 {
   FontPrivate *fontprivate;
@@ -554,98 +563,101 @@
 static SuckFont *
 suck_font (GdkFont *font)
 {
-	SuckFont *suckfont;
-	int i;
-	int x, y;
-	char text[1];
-	int lbearing, rbearing, ch_width, ascent, descent;
-	GdkPixmap *pixmap;
-	GdkColor black, white;
-	GdkImage *image;
-	GdkGC *gc;
-	guchar *bitmap, *line;
-	int width, height;
-	int black_pixel, pixel;
-
-	if (!font)
-		return NULL;
-
-	suckfont = g_new (SuckFont, 1);
-
-	height = font->ascent + font->descent;
-	x = 0;
-	for (i = 0; i < 256; i++) {
-		text[0] = i;
-		gdk_text_extents (font, text, 1,
-				  &lbearing, &rbearing, &ch_width, &ascent, &descent);
-		suckfont->chars[i].left_sb = lbearing;
-		suckfont->chars[i].right_sb = ch_width - rbearing;
-		suckfont->chars[i].width = rbearing - lbearing;
-		suckfont->chars[i].ascent = ascent;
-		suckfont->chars[i].descent = descent;
-		suckfont->chars[i].bitmap_offset = x;
-		x += (ch_width + 31) & -32;
-	}
-
-	width = x;
-
-	suckfont->bitmap_width = width;
-	suckfont->bitmap_height = height+1;
-	suckfont->ascent = font->ascent+1;
-
-	pixmap = gdk_pixmap_new (NULL, suckfont->bitmap_width,
-				 suckfont->bitmap_height, 1);
-	gc = gdk_gc_new (pixmap);
-	gdk_gc_set_font (gc, font);
-
-	black_pixel = color_gdk_black.pixel;
-	black.pixel = black_pixel;
-	white.pixel = color_gdk_white.pixel;
-	gdk_gc_set_foreground (gc, &white);
-	gdk_draw_rectangle (pixmap, gc, 1, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
-
-	gdk_gc_set_foreground (gc, &black);
-	for (i = 0; i < 256; i++) {
-		text[0] = i;
-		gdk_draw_text (pixmap, font, gc,
-			       suckfont->chars[i].bitmap_offset - suckfont->chars[i].left_sb,
-			       font->ascent+1,
-			       text, 1);
-	}
-
-	/* The handling of the image leaves me with distinct unease.  But this
-	 * is more or less copied out of gimp/app/text_tool.c, so it _ought_ to
-	 * work. -RLL
-	 */
-
-	image = gdk_image_get (pixmap, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
-	suckfont->bitmap = g_malloc0 ((width >> 3) * suckfont->bitmap_height);
-
-	line = suckfont->bitmap;
-	for (y = 0; y < suckfont->bitmap_height; y++) {
-		for (x = 0; x < suckfont->bitmap_width; x++) {
-			pixel = gdk_image_get_pixel (image, x, y);
-			if (pixel == black_pixel)
-				line[x >> 3] |= 128 >> (x & 7);
-		}
-		line += width >> 3;
-	}
-
-	gdk_image_destroy (image);
+  SuckFont *suckfont;
+  int i;
+  int x, y;
+  char text[2];
+  int lbearing, rbearing, ch_width, ascent, descent;
+  GdkPixmap *pixmap;
+  GdkColor black, white;
+  GdkImage *image;
+  GdkGC *gc;
+  guchar *bitmap, *line;
+  int width, height;
+  int black_pixel, pixel;
+
+  if (!font)
+    return NULL;
+
+  suckfont = g_new (SuckFont, 1);
+
+  height = font->ascent + font->descent;
+  x = 0;
+  for (i = 0; i < 256; i++) {
+    text[0] = i;
+    gdk_text_extents (font, text, 1,
+		      &lbearing, &rbearing, &ch_width, &ascent, &descent);
+    suckfont->chars[i].left_sb = lbearing;
+    suckfont->chars[i].right_sb = ch_width - rbearing;
+    suckfont->chars[i].width = rbearing - lbearing;
+    suckfont->chars[i].ascent = ascent;
+    suckfont->chars[i].descent = descent;
+    suckfont->chars[i].bitmap_offset = x;
+    x += (ch_width + 31) & -32;
+  }
+
+  width = x;
+
+  suckfont->bitmap_width = width;
+  suckfont->bitmap_height = height+1;
+  suckfont->ascent = font->ascent+1;
+
+  pixmap = gdk_pixmap_new (NULL, suckfont->bitmap_width,
+			   suckfont->bitmap_height, 1);
+  gc = gdk_gc_new (pixmap);
+  gdk_gc_set_font (gc, font);
+
+  black_pixel = color_gdk_black.pixel;
+  black.pixel = black_pixel;
+  white.pixel = color_gdk_white.pixel;
+  gdk_gc_set_foreground (gc, &white);
+  gdk_draw_rectangle (pixmap, gc, 1, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
+
+  gdk_gc_set_foreground (gc, &black);
+
+  for (i = 0; i < 256; i++) {
+    text[0] = i;
+    text[1] = '\0';
+
+    gdk_draw_string (pixmap, font, gc,
+		   suckfont->chars[i].bitmap_offset - suckfont->chars[i].left_sb,
+		   font->ascent+1,
+		     text);
+  }
+
+  /* The handling of the image leaves me with distinct unease.  But this
+   * is more or less copied out of gimp/app/text_tool.c, so it _ought_ to
+   * work. -RLL
+   */
+
+  image = gdk_image_get (pixmap, 0, 0, suckfont->bitmap_width, suckfont->bitmap_height);
+  suckfont->bitmap = g_malloc0 ((width >> 3) * suckfont->bitmap_height);
+
+  line = suckfont->bitmap;
+  for (y = 0; y < suckfont->bitmap_height; y++) {
+    for (x = 0; x < suckfont->bitmap_width; x++) {
+      pixel = gdk_image_get_pixel (image, x, y);
+      if (pixel == black_pixel)
+	line[x >> 3] |= 128 >> (x & 7);
+    }
+    line += width >> 3;
+  }
+
+  gdk_image_destroy (image);
 
-	/* free the pixmap */
-	gdk_pixmap_unref (pixmap);
+  /* free the pixmap */
+  gdk_pixmap_unref (pixmap);
 
-	/* free the gc */
-	gdk_gc_destroy (gc);
+  /* free the gc */
+  gdk_gc_destroy (gc);
 
-	return suckfont;
+  return suckfont;
 }
 
 static void
 suck_font_free (SuckFont *suckfont)
 {
-	g_free (suckfont->bitmap);
-	g_free (suckfont);
+  g_free (suckfont->bitmap);
+  g_free (suckfont);
 }
 
diff -ur dia-0.84-0/lib/font.h dia-0.84-2/lib/font.h
--- dia-0.84-0/lib/font.h	Wed Feb  9 11:20:32 2000
+++ dia-0.84-2/lib/font.h	Tue Mar 21 01:13:19 2000
@@ -59,7 +59,7 @@
 extern Font *font_getfont(const char *name);
 extern GdkFont *font_get_gdkfont(Font *font, int height);
 extern SuckFont *font_get_suckfont(Font *font, int height);
-extern char *font_get_psfontname(Font *font);
+extern char **font_get_psfontname(Font *font);
 extern real font_string_width(const char *string, Font *font, real height);
 extern real font_ascent(Font *font, real height);
 extern real font_descent(Font *font, real height);
diff -ur dia-0.84-0/lib/text.c dia-0.84-2/lib/text.c
--- dia-0.84-0/lib/text.c	Mon Nov 22 09:32:02 1999
+++ dia-0.84-2/lib/text.c	Tue Mar 21 01:13:19 2000
@@ -577,11 +577,29 @@
       text_join_lines(text, row);
     return;
   }
+#ifdef JAPANESE
+  if(text->line[row][text->cursor_pos+1] > 0) {
+    memmove(text->line[row] + text->cursor_pos,
+           text->line[row] + text->cursor_pos + 1,
+           text->strlen[row] - text->cursor_pos);
+
+    text->strlen[row]--;
+    text->cursor_pos --;
+  } else {
+    memmove(text->line[row] + text->cursor_pos,
+           text->line[row] + text->cursor_pos + 2,
+           text->strlen[row] - text->cursor_pos);
+  text->strlen[row]-=2;
+  text->cursor_pos -=2;
+  }
+#else
   memmove(text->line[row] + text->cursor_pos,
 	  text->line[row] + text->cursor_pos + 1,
 	  text->strlen[row] - text->cursor_pos);
 
   text->strlen[row]--;
+  text->cursor_pos--;
+#endif
   
   if (text->cursor_pos > text->strlen[text->cursor_row])
     text->cursor_pos = text->strlen[text->cursor_row];
@@ -608,6 +626,22 @@
       text_join_lines(text, row-1);
     return;
   }
+#ifdef JAPANESE
+  if(text->line[row][text->cursor_pos-1] > 0) {
+    memmove(text->line[row] + text->cursor_pos - 1,
+	    text->line[row] + text->cursor_pos,
+	    text->strlen[row] - text->cursor_pos + 1);
+    text->strlen[row]--;
+    
+    text->cursor_pos --;
+  } else {
+    memmove(text->line[row] + text->cursor_pos - 2,
+	    text->line[row] + text->cursor_pos,
+	    text->strlen[row] - text->cursor_pos + 1);
+    text->strlen[row]-=2;
+    text->cursor_pos -=2;
+  }
+#else
   memmove(text->line[row] + text->cursor_pos - 1,
 	  text->line[row] + text->cursor_pos,
 	  text->strlen[row] - text->cursor_pos + 1);
@@ -615,6 +649,7 @@
   text->strlen[row]--;
 
   text->cursor_pos --;
+#endif
   
   if (text->cursor_pos > text->strlen[text->cursor_row])
     text->cursor_pos = text->strlen[text->cursor_row];
@@ -749,12 +784,28 @@
     
     break;
   case GDK_Left:
+#ifdef JAPANESE
+    if(text->line[text->cursor_row][text->cursor_pos-1] > 0) {
+      text->cursor_pos--;
+    } else {
+      text->cursor_pos-=2;
+    }
+#else
     text->cursor_pos--;
+#endif
     if (text->cursor_pos<0)
       text->cursor_pos = 0;
     break;
   case GDK_Right:
+#ifdef JAPANESE
+    if(text->line[text->cursor_row][text->cursor_pos+1] > 0) {
+      text->cursor_pos++;
+    } else {
+      text->cursor_pos+=2;
+    }
+#else
     text->cursor_pos++;
+#endif
     if (text->cursor_pos > text->strlen[text->cursor_row])
       text->cursor_pos = text->strlen[text->cursor_row];
     break;
@@ -802,10 +853,13 @@
     break;
   default:
     if (strlen>0) {
+      int i;
       return_val = TRUE;
-      *change = text_create_change(text, TYPE_INSERT_CHAR, str[0],
-				   text->cursor_pos, text->cursor_row);
-      text_insert_char(text, str[0]);
+      for(i = 0;i < strlen;i++) {
+        *change = text_create_change(text, TYPE_INSERT_CHAR, str[i],
+				     text->cursor_pos, text->cursor_row);
+        text_insert_char(text, str[i]);
+      }
     }
     break;
   }  
diff -ur dia-0.84-0/lib/text.h dia-0.84-2/lib/text.h
--- dia-0.84-0/lib/text.h	Sun Jul 25 16:30:14 1999
+++ dia-0.84-2/lib/text.h	Tue Mar 21 01:13:19 2000
@@ -21,6 +21,7 @@
 typedef struct _Text Text;
 typedef struct _TextAttributes TextAttributes;
 
+#include "config.h"
 #include "font.h"
 #include "focus.h"
 
diff -ur dia-0.84-0/po/dia.pot dia-0.84-2/po/dia.pot
--- dia-0.84-0/po/dia.pot	Tue Feb 29 10:57:04 2000
+++ dia-0.84-2/po/dia.pot	Tue Mar 21 01:24:49 2000
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2000-02-29 09:57+0800\n"
+"POT-Creation-Date: 2000-03-21 01:31+0900\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -235,13 +235,13 @@
 msgid "/Objects/Align Vertical/Adjacent"
 msgstr ""
 
-#: app/disp_callbacks.c:69 app/properties.c:164
+#: app/disp_callbacks.c:126 app/properties.c:164
 msgid ""
 "This object doesn't support Undo/Redo.\n"
 "Undo information erased."
 msgstr ""
 
-#: app/disp_callbacks.c:163
+#: app/disp_callbacks.c:220
 msgid "No object menu"
 msgstr ""
 
@@ -253,38 +253,38 @@
 msgid "Diagram modified!"
 msgstr ""
 
-#: app/display.c:779 app/display.c:785
+#: app/display.c:784 app/display.c:790
 msgid "Really close?"
 msgstr ""
 
-#: app/display.c:790
+#: app/display.c:795
 msgid ""
 "This diagram has not been saved.\n"
 "Are you sure you want to close this window?"
 msgstr ""
 
-#: app/display.c:808 app/preferences.c:482 lib/properties.c:256
+#: app/display.c:813 app/preferences.c:482 lib/properties.c:256
 msgid "Yes"
 msgstr ""
 
-#: app/display.c:818 app/preferences.c:482 app/preferences.c:493
+#: app/display.c:823 app/preferences.c:482 app/preferences.c:493
 #: lib/properties.c:258 lib/properties.c:279
 msgid "No"
 msgstr ""
 
-#: app/display.c:851
+#: app/display.c:856
 msgid "/View/Show Rulers"
 msgstr ""
 
-#: app/display.c:853
+#: app/display.c:858
 msgid "/View/Visible Grid"
 msgstr ""
 
-#: app/display.c:855
+#: app/display.c:860
 msgid "/View/Snap To Grid"
 msgstr ""
 
-#: app/display.c:857
+#: app/display.c:862
 msgid "/View/Show Connection Points"
 msgstr ""
 
@@ -448,7 +448,7 @@
 "Not a Dia file."
 msgstr ""
 
-#: app/load_save.c:506 app/render_eps.c:161 app/render_svg.c:144
+#: app/load_save.c:506 app/render_eps.c:168 app/render_svg.c:144
 #: plug-ins/cgm/cgm.c:1127
 #, c-format
 msgid "Couldn't open: '%s' for writing.\n"
@@ -862,7 +862,7 @@
 msgid "This object has no properties."
 msgstr ""
 
-#: app/render_eps.c:1101
+#: app/render_eps.c:1186
 msgid "Encapsulated Postscript"
 msgstr ""
 
@@ -974,14 +974,14 @@
 msgid "Background"
 msgstr ""
 
-#: lib/font.c:355
+#: lib/font.c:362
 #, c-format
 msgid ""
 "Warning no X Font for %s found, \n"
 "using %s instead.\n"
 msgstr ""
 
-#: lib/font.c:409
+#: lib/font.c:418
 #, c-format
 msgid "Font %s not found, using Courier instead.\n"
 msgstr ""
diff -ur dia-0.84-0/po/ja.po dia-0.84-2/po/ja.po
--- dia-0.84-0/po/ja.po	Tue Feb 29 11:08:53 2000
+++ dia-0.84-2/po/ja.po	Tue Mar 21 01:13:19 2000
@@ -7,7 +7,7 @@
 "Project-Id-Version: dia cvs\n"
 "POT-Creation-Date: 2000-02-29 09:57+0800\n"
 "PO-Revision-Date: 2000-02-12 14:03+0900\n"
-"Last-Translator: Yukihiro Nakai <nakai@FreeBSD.org>\n"
+"Last-Translator: Yasuhiro ABE <m5031201@u-aizu.ac.jp>\n"
 "Language-Team: Japanese <translation@gnome.gr.jp>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=euc-jp\n"
@@ -378,8 +378,8 @@
 "Foreground & background colors.  The small black and white squares reset "
 "colors.  The small arrows swap colors.  Double click to change colors."
 msgstr ""
-"ʸطʤοǤξʻͳѤϡꥻåȤޤϿ"
-"򴹤ޤ֥륯åȿѹޤ"
+"ʸطʤοǤξʻͳѤϡꥻåȤޤϿ"
+"򴹤ޤ֥륯åȿѹޤ"
 
 #: app/interface.c:711
 msgid "Diagram Editor"
@@ -552,7 +552,7 @@
 
 #: app/menus.c:106
 msgid "_AntiAliased"
-msgstr ""
+msgstr "ꥢ"
 
 #: app/menus.c:109
 msgid "_Visible Grid"
@@ -811,7 +811,7 @@
 
 #: app/menus.c:232
 msgid "/View/_AntiAliased"
-msgstr ""
+msgstr "/ɽ(_V)/ꥢ"
 
 #: app/menus.c:234
 msgid "/View/_Visible Grid"
